Devuan bug report logs - #343
xen: Fails to boot Xen by default

Package: xen-hypervisor-4.8-amd64; Maintainer for xen-hypervisor-4.8-amd64 is (unknown);

Reported by: Elliott Mitchell <ehem+devuan@m5p.com>

Date: Mon, 29 Jul 2019 20:48:02 UTC

Severity: normal

Done: Elliott Mitchell <ehem+devuan@m5p.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#343; Package xen-hypervisor-4.8-amd64. (full text, mbox, link).


Acknowledgement sent to Elliott Mitchell <ehem+devuan@m5p.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Elliott Mitchell <ehem+devuan@m5p.com>
To: submit@bugs.devuan.org
Subject: xen: Fails to boot Xen by default
Date: Mon, 29 Jul 2019 13:36:36 -0700
Package: xen-hypervisor-4.8-amd64
Version: 4.8.5+shim4.10.2+xsa282-1+deb9u11

The 4.8 version of the Xen package has
'GRUB_DEFAULT="Debian GNU/Linux, with Xen hypervisor"' at the bottom of
/etc/default/grub.d/xen.cfg.  Unfortunately this fails since Devuan is a
distinct distribution and the match fails.

I think the older solution recommended for Wheezy and Squeeze
(https://wiki.debian.org/Xen#Prioritize_booting_Xen_over_native_Linux) of
adding a symbolic link to /etc/grub.d functions better as it doesn't rely
on an exact string match.  That would require coordination with Debian to
rework handling of /etc/grub.d (make a 10_default script which is
meant to be overridden by packages and rename 10_linux to 11_linux).


-- 
(\___(\___(\______          --=> 8-) EHM <=--          ______/)___/)___/)
 \BS (    |         ehem+sigmsg@m5p.com  PGP 87145445         |    )   /
  \_CS\   |  _____  -O #include <stddisclaimer.h> O-   _____  |   /  _/
8A19\___\_|_/58D2 7E3D DDF4 7BA6 <-PGP-> 41D1 B375 37D0 8714\_|_/___/5445




Reply sent to Elliott Mitchell <ehem+devuan@m5p.com>:
You have taken responsibility. (Wed, 09 Dec 2020 02:33:01 GMT) (full text, mbox, link).


Notification sent to Elliott Mitchell <ehem+devuan@m5p.com>:
bug acknowledged by developer. (Wed, 09 Dec 2020 02:33:03 GMT) (full text, mbox, link).


Message #10 received at 343-close@bugs.devuan.org (full text, mbox, reply):

From: Elliott Mitchell <ehem+devuan@m5p.com>
To: 343-close@bugs.devuan.org
Subject: #343 Fixed with Xen 4.11 packages
Date: Tue, 8 Dec 2020 18:27:10 -0800
Somewhere during the work between 4.8 and 4.11, this bug was fixed.
Originally the file attempting to control the behavior was in
xen-hypervisor-<version>-<arch>, but the 4.11 packages moved it to
xen-hypervisor-common (/etc/default/grub.d/xen.cfg).

I'm guessing this also caused problems for Ubuntu and pretty well all
other Debian derivatives.  I still find I prefer using dpkg-divert to
rearrange /etc/grub.d more suited to me.

This issue though is without any doubt, fixed.


-- 
(\___(\___(\______          --=> 8-) EHM <=--          ______/)___/)___/)
 \BS (    |         ehem+sigmsg@m5p.com  PGP 87145445         |    )   /
  \_CS\   |  _____  -O #include <stddisclaimer.h> O-   _____  |   /  _/
8A19\___\_|_/58D2 7E3D DDF4 7BA6 <-PGP-> 41D1 B375 37D0 8714\_|_/___/5445



Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Mon Apr 19 18:19:42 2021;